MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024662Open CASCADE[OCCT] OCCT:Codingpublic2014-02-25 13:192014-11-11 12:51
Reporterdln 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024662: Removing unused "generic" classes. Part 3
DescriptionIn scope of this issue next unused generic class will be removed:

- IntImp_CSCurveTool
- IntImp_CSFunction
- IntImp_CurveTool
- IntImp_ISurfaceTool
- IntImp_PSurfaceTool
- IntStart_ArcTool
- IntStart_PSurfaceTool
- IntStart_SIFunction
- IntStart_SITool
- IntStart_SOBFunction
- IntStart_SOBTool
- IntStart_TopolTool
- IntWalk_IWFunction
- IntWalk_Iterator
- IntWalk_LoopPointTool
- IntWalk_PSurfaceTool
- IntWalk_PathPointTool
- Intf_ToolPolyhedron
- LProp_CurveTool
- LProp_SurfaceTool
- LibCtl_ProtocolTemplate
- MAT_Tool
- Primitives_Builder
- Sweep_Builder
- Sweep_Iterator
- Sweep_Tool
- TopClass_FaceExplorer
- TopClass_Intersection2d
- HatchGen_Intersector
- IFSelect_SelectList
- IntCurveSurface_CurveTool
- IntImp_COnSCurveTool
- IntImpParGen_ParTool
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0028025)
dln (developer)
2014-02-25 13:23

Changes are ready for review in CR24662 branch.
(0028106)
abv (manager)
2014-03-03 19:02

Reviewed, please test.

Remark on package Primitives: it seems to be not really useful; I suggest it should be removed, with useful stuff merged to BRepPrim (which seems to be the only dependent package).
(0028107)
abv (manager)
2014-03-03 19:03

Igor, please have a look at the list of classes being removed, for the case if something might be somehow potentially useful..
(0028112)
ifv (developer)
2014-03-04 10:21

Nothing seems to be useful from this list.
Similar functionality is implemented (if necessary) with help of another classes.
(0028136)
mkv (tester)
2014-03-04 17:24

Dear BugMaster,

Branch CR24662 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: a5658e68aba4b51dc5cc2f06cbc99781a01c5d88

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 382969768 / 382739596
Total CPU difference: 41186.50000000012 / 52926.14000000003

Testing on Windows:
Total MEMORY difference: 428814504 / 428923596
Total CPU difference: 32056.59375 / 32992.875

There are not differences in images found by testdiff.

- Related Changesets
occt: master 93cb31a6
Timestamp: 2014-02-19 07:29:13
Author: abv
Committer: abv
Details ] Diff ]
0024662: Removing unused "generic" classes. Part 3

In scope of this issue next unused generic class will be removed:

- IntImp_CSCurveTool
- IntImp_CSFunction
- IntImp_CurveTool
- IntImp_ISurfaceTool
- IntImp_PSurfaceTool
- IntStart_ArcTool
- IntStart_PSurfaceTool
- IntStart_SIFunction
- IntStart_SITool
- IntStart_SOBFunction
- IntStart_SOBTool
- IntStart_TopolTool
- IntWalk_IWFunction
- IntWalk_Iterator
- IntWalk_LoopPointTool
- IntWalk_PSurfaceTool
- IntWalk_PathPointTool
- Intf_ToolPolyhedron
- LProp_CurveTool
- LProp_SurfaceTool
- LibCtl_ProtocolTemplate
- MAT_Tool
- Primitives_Builder
- Sweep_Builder
- Sweep_Iterator
- Sweep_Tool
- TopClass_FaceExplorer
- TopClass_Intersection2d
- HatchGen_Intersector
- IFSelect_SelectList
- IntCurveSurface_CurveTool
- IntImp_COnSCurveTool
- IntImpParGen_ParTool
mod - src/HatchGen/HatchGen.cdl Diff ] File ]
rm - src/HatchGen/HatchGen_Intersector.cdl Diff ] File ]
rm - src/HatchGen/HatchGen_Intersector.gxx Diff ] File ]
mod - src/IFSelect/IFSelect.cdl Diff ] File ]
rm - src/IFSelect/IFSelect_SelectList.cdl Diff ] File ]
rm - src/IFSelect/IFSelect_SelectList.gxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface.cdl Diff ] File ]
rm - src/IntCurveSurface/IntCurveSurface_CurveTool.cdl Diff ] File ]
rm - src/IntCurveSurface/IntCurveSurface_CurveTool.gxx Diff ] File ]
rm - src/IntCurveSurface/IntCurveSurface_CurveTool.lxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_QuadricCurveFunc.cdl Diff ] File ]
mod - src/Intf/Intf.cdl Diff ] File ]
mod - src/Intf/Intf_InterferencePolygonPolyhedron.cdl Diff ] File ]
mod - src/Intf/Intf_InterferencePolyhedron.cdl Diff ] File ]
rm - src/Intf/Intf_ToolPolyhedron.cdl Diff ] File ]
rm - src/Intf/Intf_ToolPolyhedron.gxx Diff ] File ]
mod - src/IntImp/IntImp.cdl Diff ] File ]
rm - src/IntImp/IntImp_COnSCurveTool.cdl Diff ] File ]
rm - src/IntImp/IntImp_COnSCurveTool.gxx Diff ] File ]
rm - src/IntImp/IntImp_CSCurveTool.cdl Diff ] File ]
rm - src/IntImp/IntImp_CSCurveTool.gxx Diff ] File ]
rm - src/IntImp/IntImp_CSFunction.cdl Diff ] File ]
rm - src/IntImp/IntImp_CSFunction.gxx Diff ] File ]
rm - src/IntImp/IntImp_CurveTool.cdl Diff ] File ]
rm - src/IntImp/IntImp_CurveTool.gxx Diff ] File ]
mod - src/IntImp/IntImp_Int2S.cdl Diff ] File ]
mod - src/IntImp/IntImp_IntCS.cdl Diff ] File ]
rm - src/IntImp/IntImp_ISurfaceTool.cdl Diff ] File ]
rm - src/IntImp/IntImp_ISurfaceTool.gxx Diff ] File ]
rm - src/IntImp/IntImp_PSurfaceTool.cdl Diff ] File ]
rm - src/IntImp/IntImp_PSurfaceTool.gxx Diff ] File ]
mod - src/IntImp/IntImp_ZerCOnSSParFunc.cdl Diff ] File ]
mod - src/IntImp/IntImp_ZerCSParFunc.cdl Diff ] File ]
mod - src/IntImp/IntImp_ZerImpFunc.cdl Diff ] File ]
mod - src/IntImp/IntImp_ZerParFunc.cdl Diff ] File ]
mod - src/IntImpParGen/IntImpParGen.cdl Diff ] File ]
mod - src/IntImpParGen/IntImpParGen_ImpParTool.cdl Diff ] File ]
mod - src/IntImpParGen/IntImpParGen_Intersector.cdl Diff ] File ]
rm - src/IntImpParGen/IntImpParGen_ParTool.cdl Diff ] File ]
rm - src/IntImpParGen/IntImpParGen_ParTool.gxx Diff ] File ]
mod - src/IntStart/IntStart.cdl Diff ] File ]
rm - src/IntStart/IntStart_ArcTool.cdl Diff ] File ]
rm - src/IntStart/IntStart_ArcTool.gxx Diff ] File ]
rm - src/IntStart/IntStart_PSurfaceTool.cdl Diff ] File ]
rm - src/IntStart/IntStart_PSurfaceTool.gxx Diff ] File ]
mod - src/IntStart/IntStart_SearchInside.cdl Diff ] File ]
mod - src/IntStart/IntStart_SearchOnBoundaries.cdl Diff ] File ]
rm - src/IntStart/IntStart_SIFunction.cdl Diff ] File ]
rm - src/IntStart/IntStart_SIFunction.gxx Diff ] File ]
rm - src/IntStart/IntStart_SITool.cdl Diff ] File ]
rm - src/IntStart/IntStart_SITool.gxx Diff ] File ]
rm - src/IntStart/IntStart_SOBFunction.cdl Diff ] File ]
rm - src/IntStart/IntStart_SOBFunction.gxx Diff ] File ]
rm - src/IntStart/IntStart_SOBTool.cdl Diff ] File ]
rm - src/IntStart/IntStart_SOBTool.gxx Diff ] File ]
rm - src/IntStart/IntStart_TopolTool.cdl Diff ] File ]
rm - src/IntStart/IntStart_TopolTool.gxx Diff ] File ]
mod - src/IntWalk/IntWalk.cdl Diff ] File ]
rm - src/IntWalk/IntWalk_Iterator.cdl Diff ] File ]
rm - src/IntWalk/IntWalk_Iterator.gxx Diff ] File ]
mod - src/IntWalk/IntWalk_IWalking.cdl Diff ] File ]
rm - src/IntWalk/IntWalk_IWFunction.cdl Diff ] File ]
rm - src/IntWalk/IntWalk_IWFunction.gxx Diff ] File ]
rm - src/IntWalk/IntWalk_LoopPointTool.cdl Diff ] File ]
rm - src/IntWalk/IntWalk_LoopPointTool.gxx Diff ] File ]
rm - src/IntWalk/IntWalk_PathPointTool.cdl Diff ] File ]
rm - src/IntWalk/IntWalk_PathPointTool.gxx Diff ] File ]
rm - src/IntWalk/IntWalk_PSurfaceTool.cdl Diff ] File ]
rm - src/IntWalk/IntWalk_PSurfaceTool.gxx Diff ] File ]
mod - src/IntWalk/IntWalk_PWalking.cdl Diff ] File ]
mod - src/LibCtl/FILES Diff ] File ]
mod - src/LibCtl/LibCtl.cdl Diff ] File ]
rm - src/LibCtl/LibCtl_ProtocolTemplate.cdl Diff ] File ]
rm - src/LibCtl/LibCtl_ProtocolTemplate.gxx Diff ] File ]
mod - src/LProp/LProp.cdl Diff ] File ]
rm - src/LProp/LProp_CurveTool.cdl Diff ] File ]
rm - src/LProp/LProp_CurveTool.gxx Diff ] File ]
rm - src/LProp/LProp_SurfaceTool.cdl Diff ] File ]
rm - src/LProp/LProp_SurfaceTool.gxx Diff ] File ]
mod - src/MAT/MAT.cdl Diff ] File ]
rm - src/MAT/MAT_Tool.cdl Diff ] File ]
rm - src/MAT/MAT_Tool.gxx Diff ] File ]
mod - src/Primitives/Primitives.cdl Diff ] File ]
rm - src/Primitives/Primitives_Builder.cdl Diff ] File ]
rm - src/Primitives/Primitives_Builder.gxx Diff ] File ]
mod - src/Primitives/Primitives_OneAxis.cdl Diff ] File ]
mod - src/Sweep/Sweep.cdl Diff ] File ]
rm - src/Sweep/Sweep_Builder.cdl Diff ] File ]
rm - src/Sweep/Sweep_Builder.gxx Diff ] File ]
rm - src/Sweep/Sweep_Iterator.cdl Diff ] File ]
rm - src/Sweep/Sweep_Iterator.gxx Diff ] File ]
rm - src/Sweep/Sweep_Iterator.lxx Diff ] File ]
mod - src/Sweep/Sweep_LinearRegularSweep.cdl Diff ] File ]
mod - src/Sweep/Sweep_NumShapeTool.cdl Diff ] File ]
rm - src/Sweep/Sweep_Tool.cdl Diff ] File ]
rm - src/Sweep/Sweep_Tool.gxx Diff ] File ]
mod - src/TopClass/TopClass.cdl Diff ] File ]
mod - src/TopClass/TopClass_Classifier2d.cdl Diff ] File ]
rm - src/TopClass/TopClass_FaceExplorer.cdl Diff ] File ]
rm - src/TopClass/TopClass_FaceExplorer.gxx Diff ] File ]
rm - src/TopClass/TopClass_FaceExplorer.lxx Diff ] File ]
rm - src/TopClass/TopClass_Intersection2d.cdl Diff ] File ]
rm - src/TopClass/TopClass_Intersection2d.gxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-25 13:19 dln New Issue
2014-02-25 13:19 dln Assigned To => abv
2014-02-25 13:23 dln Note Added: 0028025
2014-02-25 13:23 dln Status new => resolved
2014-03-03 19:02 abv Note Added: 0028106
2014-03-03 19:02 abv Assigned To abv => bugmaster
2014-03-03 19:02 abv Status resolved => reviewed
2014-03-03 19:03 abv Note Added: 0028107
2014-03-03 19:47 mkv Assigned To bugmaster => mkv
2014-03-04 10:21 ifv Note Added: 0028112
2014-03-04 17:24 mkv Note Added: 0028136
2014-03-04 17:25 mkv Test case number => Not needed
2014-03-04 17:25 mkv Assigned To mkv => bugmaster
2014-03-04 17:25 mkv Status reviewed => tested
2014-03-11 14:41 abv Changeset attached => occt master 93cb31a6
2014-03-11 14:41 abv Assigned To bugmaster => abv
2014-03-11 14:41 abv Status tested => verified
2014-03-11 14:41 abv Resolution open => fixed
2014-04-04 12:06 abv Target Version 6.7.1 => 6.8.0
2014-04-10 14:48 kgv Relationship added child of 0024487
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker